Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.update
Class SftUpdate

    java.lang.Object
      edu.stanford.smi.protege.server.update.ValueUpdate
          edu.stanford.smi.protege.server.update.SftUpdate

All Implemented Interfaces:
  Localizable, Serializable

Direct Known Subclasses:
  FrameRead, FrameWrite, InvalidateCacheUpdate, RemoveCacheUpdate

    public class SftUpdate

extends ValueUpdate
implements Localizable

See Also:
  Serialized Form

Constructor Summary
`SftUpdate(Frame frame, Slot slot, Facet facet, boolean isTemplate)`

Method Summary
`Facet` | `getFacet()`
`ValueUpdate` | `getInvalidatingVariant()`
`Slot` | `getSlot()`
`boolean` | `isTemplate()`
`void` | `localize(KnowledgeBase kb)`
`String` | `toString()`

Methods inherited from class edu.stanford.smi.protege.server.update.ValueUpdate
`getClient, getFrame, isTransactionScope, setClient, setTransactionScope`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SftUpdate

    public SftUpdate(Frame frame,
                     Slot slot,
                     Facet facet,
                     boolean isTemplate)

Method Detail

### getFacet

    public Facet getFacet()

### isTemplate

    public boolean isTemplate()

### getSlot

    public Slot getSlot()

### localize

    public void localize(KnowledgeBase kb)

  Specified by:
    `localize` in interface `Localizable`
  Overrides:
    `localize` in class `ValueUpdate`

### getInvalidatingVariant

    public ValueUpdate getInvalidatingVariant()

  Specified by:
    `getInvalidatingVariant` in class `ValueUpdate`

### toString

    public String toString()

  Overrides:
    `toString` in class `ValueUpdate`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.